Last Comment Bug 508526 - Make gDownloadLastDir smarter
: Make gDownloadLastDir smarter
Status: RESOLVED FIXED
: dev-doc-complete
Product: Firefox
Classification: Client Software
Component: Private Browsing (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 3.7a1
Assigned To: :Ehsan Akhgari
:
: :Ehsan Akhgari
Mentors:
Depends on:
Blocks: 464795
  Show dependency treegraph
 
Reported: 2009-08-05 04:26 PDT by :Ehsan Akhgari
Modified: 2010-08-31 12:00 PDT (History)
5 users (show)
ehsan: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix


Attachments
Patch (v1) (16.25 KB, patch)
2009-08-18 05:12 PDT, :Ehsan Akhgari
mconnor: review+
Details | Diff | Splinter Review

Description :Ehsan Akhgari 2009-08-05 04:26:40 PDT
Followup from bug 499733 comment 11.

The gDownloadLastDir object in toolkit needs to be smarter, so that it saves the nsIFile as either a pref value or an in-memory value based on the current private browsing mode.
Comment 1 :Ehsan Akhgari 2009-08-18 05:12:27 PDT
Created attachment 395032 [details] [diff] [review]
Patch (v1)
Comment 2 Mike Connor [:mconnor] 2009-08-24 21:54:49 PDT
Comment on attachment 395032 [details] [diff] [review]
Patch (v1)

Looks good, thanks.
Comment 4 :Ehsan Akhgari 2009-09-05 03:50:05 PDT
The developer docs for this module should be similar to that of bug 499733.
Comment 5 Eric Shepherd [:sheppy] 2009-09-18 09:24:09 PDT
To what does "[not needed for 1.9.2]" refer in the whiteboard here?
Comment 6 :Ehsan Akhgari 2009-09-19 14:33:03 PDT
(In reply to comment #5)
> To what does "[not needed for 1.9.2]" refer in the whiteboard here?

It means that this patch is not important enough to take for 1.9.2.  That was before the status1.9.2 flag.  :-)

Note You need to log in before you can comment on or make changes to this bug.